package com.czg.order.param;

import com.alibaba.fastjson2.annotation.JSONField;
import com.czg.utils.CzgStrUtils;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 挂账人查询入参
 *
 * @author tankaikai
 * @since 2025-03-04 17:42
 */
@Data
public class CreditBuyerQueryParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 挂账编码
     */
    @JSONField(serialize = false)
    private String id;
    /**
     * 挂账人
     */
    private String debtor;
    /**
     * 手机号
     */
    private String mobile;
    /**
     * 状态 1-启用 0-停用
     */
    private Integer status;

    /**
     * 还款状态 1 有欠款 2 无欠款
     */
    private Integer repaymentStatus;
    /**
     * 店铺id
     */
    @JSONField(serialize = false)
    private Long shopId;

    public String getMobile() {
        return CzgStrUtils.getStrOrNull(mobile);
    }


    public String getDebtor() {
        return CzgStrUtils.getStrOrNull(debtor);
    }

    public String getId() {
        return CzgStrUtils.getStrOrNull(id);
    }

}
